GrailsProjectCleaner (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.project.creation
[Groovy] Class GrailsProjectCleaner

    java.lang.Object
      org.codehaus.groovy.grails.cli.api.BaseSettingsApi
          org.codehaus.groovy.grails.project.creation.GrailsProjectCleaner

    class GrailsProjectCleaner
    extends BaseSettingsApi

Responsible for cleaning a Grails project

Authors:
  Graeme Rocher

Since:
  2.3

Field Summary

Fields inherited from class BaseSettingsApi
appClassName, buildEventListener, buildProps, buildSettings, configSlurper, enableProfile, grailsAppName, grailsHome, isInteractive, metadata, metadataFile, pluginSettings, pluginsHome, resolver

Property Summary
`groovy.util.AntBuilder` | `ant`

Constructor Summary
`GrailsProjectCleaner(BuildSettings settings, GrailsBuildEventListener buildEventListener)`

Method Summary
`void` | `clean(boolean triggerEvents = true)` Implementation of clean
`void` | `cleanAll(boolean triggerEvents = true)` Cleans a Grails project
`void` | `cleanCompiledSources(boolean triggerEvents = true)` Cleans compiled Java and Groovy sources
`void` | `cleanTestReports(boolean triggerEvents = true)` Cleans the test reports
`void` | `cleanWarFile(boolean triggerEvents = true)` Cleans the deployable .war file
`void` | `cleanWork()`
`groovy.util.AntBuilder` | `getAnt()`
`void` | `setAnt(groovy.util.AntBuilder ant)`

Methods inherited from class BaseSettingsApi
confirmInput, confirmInput, copyGrailsResource, copyGrailsResource, copyGrailsResources, copyGrailsResources, createXmlSlurper, enableUaa, exit, getAppClassName, getAppGrailsVersion, getBuildEventListener, getBuildProps, getBuildSettings, getConfigSlurper, getGrailsAppName, getGrailsAppVersion, getGrailsHome, getIsInteractive, getMetadata, getMetadataFile, getPluginBuildSettings, getPluginSettings, getPluginsHome, getPropertyValue, getResolver, getServerHost, getServerPort, getServerPortHttps, getServletVersion, grailsResource, isDeclared, isEnableProfile, logError, logErrorAndExit, makeApiAvailableToScripts, makeRelative, makeRelative, profile, readAllPluginXmlMetadata, readPluginXmlMetadata, resolveResources, updateMetadata, updateMetadata

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### ant

    groovy.util.AntBuilder ant

Constructor Detail

### GrailsProjectCleaner

    GrailsProjectCleaner(BuildSettings settings, GrailsBuildEventListener buildEventListener)

Method Detail

### clean

    void clean(boolean triggerEvents = true)

  Implementation of clean

### cleanAll

    void cleanAll(boolean triggerEvents = true)

  Cleans a Grails project

### cleanCompiledSources

    void cleanCompiledSources(boolean triggerEvents = true)

  Cleans compiled Java and Groovy sources

### cleanTestReports

    void cleanTestReports(boolean triggerEvents = true)

  Cleans the test reports

### cleanWarFile

    void cleanWarFile(boolean triggerEvents = true)

  Cleans the deployable .war file

### cleanWork

    void cleanWork()

### getAnt

    @groovy.transform.CompileStatic
    groovy.util.AntBuilder getAnt()

### setAnt

    void setAnt(groovy.util.AntBuilder ant)

Groovy Documentation